Subject: [MMUSIC] ICE-19: candidates to be listed when completing ICE in an ICE-Lite - ICE-Lite scenario

From: "Zingerle, Meinrad" <[email-masked]>
Date: Wed, 16 Jan 2008 11:19:27 +0100

Hi Jonathan,
 
let's assume the following scenario:
A and B are both ICE-lite clients (A is calling, B is called party).
Both have included IPv4 and IPv6 candidates (one per component) in the
initial SDP offer and answer.
Thus, when A receives the SDP answer and constructs the candidate pairs,
it will have two candidate pairs per component and will select one pair
according to RFC3484- Right?
As next A (acting as controling agent) needs to send an updated offer
for indicating the selected pair using the remote-candidate attribute.
 
My question:
Does A have to include in the updated SDP offer all of the candidates
listed in the initial SDP offer or only the local candidate of the
selected pair?
In other words: Has section 9.1.3.1 or 9.1.3.2 to be applied?
 
Best regards,
  Meinrad

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic